/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./pdf-export.component";
import * as i2 from "./pdf-export-margin.component";
import * as i3 from "./pdf-export-template.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi']) definition for the PDF Export directive.
 */
export declare class PDFExportModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFExportModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PDFExportModule, never, [typeof i1.PDFExportComponent, typeof i2.PDFExportMarginComponent, typeof i3.PDFExportTemplateDirective], [typeof i1.PDFExportComponent, typeof i2.PDFExportMarginComponent, typeof i3.PDFExportTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PDFExportModule>;
}
