<a href="https://www.telerik.com/kendo-angular-ui/components/pdf-export" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular PDF Export Component

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The Kendo UI for Angular PDF Export component allows you to export any content to a PDF document. The PDF Export is built from the ground up and specifically for Angular, so that you get a high-performance control which integrates tightly with your application and with the rest of the Kendo UI for Angular components.

## Key Features

Among the many features which the Kendo UI for Angular PDF Export delivers are:

* Embedded Fonts&mdash;The PDF Export component allows you to embed specific fonts in the exported PDF document to match the content appearance in the browser. [Read more about the embedded fonts functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/embedded-fonts)
* Image Resolution&mdash;You can also limit the image resolution of the embedded images and SVG documents in the file exported by the PDF Export component. [Read more about the image resolution functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/embedded-images)
* Disabling Hyperlinks&mdash;The PDF Export component provides an option for disabling the exported hyperlinks in the generated PDF document. [Read more about the disabling hyperlinks functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/hyperlinks)
* Scaling of Content&mdash;Furthermore, you can scale the content of the PDF document that was generated by the PDF Export component. [Read more about the scaling of content functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/content-scaling)
* Repeated Table Headers&mdash;The PDF Export component enables you to render recurrent table headers on each page. [Read more about the repeated table headers functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/table-headers)
* Multi-Page Content&mdash;The PDF Export component provides a number of options for managing the generated multi-page content in PDF such as preventing the page-split, specifying page templates, and more. [Read more about the multi-page content functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/multi-page-content)
* Hidden Content&mdash;With the PDF Export component you can generate PDF content, which is otherwise not visible to the user during the PDF export itself&mdash;for example, company logos, contact details, and more. [Read more about the hidden content functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/hidden-content)
* Styling of ContentThe PDF Export delivers a number of settings for styling only the exported content in the generated PDF document. [Read more about the styling of content functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/content-styling)
* Auto-Print&mdash;When using the PDF Export component, you can set the exported PDF files to open a **Print** dialog immediately after they are opened. [Read more about the auto-print functionality of the PDF Export...](https://www.telerik.com/kendo-angular-ui/components/pdf-export/auto-print)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular PDF Export, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular PDF Export](https://www.telerik.com/kendo-angular-ui/components/pdf-export/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
