/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PDFExportMarginComponent } from "./pdf-export-margin.component";
import { PDFExportTemplateDirective } from "./pdf-export-template.directive";
import { PDFExportComponent } from "./pdf-export.component";
/**
 * Utility array that contains all `PDFExport` related components and directives
 */
export declare const KENDO_PDFEXPORT: readonly [typeof PDFExportComponent, typeof PDFExportMarginComponent, typeof PDFExportTemplateDirective];
